Skip to content

List Requests

Overview

The tasks endpoint is used to list all the requests sent to Neurolinker.


GET /api/v1/tasks

Response

200

Response Schema

Name Type Description
success boolean
request_id string
status string Overall status: 'processing', 'completed', 'failed', or 'partial'
documents array of objects Contains status of specific documents. See Document Status
total int Total documents send for processing
completed int Number of documents for which the extraction has completed
failed int Number of documents for which the extraction has failed
processing int Number of documents for which the extraction is still going
job_page_url string Web UI Page for the request
total_size_bytes int Total size of the documents in bytes
started_at string
completed_at string
{
  "success": true,
  "tasks": {
    "requests": [
      {
        "request_id": "string",
        "status": "string",
        "total_documents": 1,
        "start_time": "string"
      }
      //...
    ]
  },
  "message": "string"
}

example "Try it out!"

curl -X 'GET' \
'https://neurolinker.api.ainexxo.com/v1/mcp/tasks' \
-H 'accept: application/json' \
-H 'Authorization: Bearer nl_3P1DrPFXlNR7c9LWsNeqbTJC4PRki8rC'
  ```

### example "Example Response"
```json
{
  "success": true,
  "tasks": {
  "requests": [
      {
        "request_id": "63a41360-f088-40f4-8c8f-574e877b8e6b",
        "status": "partial",
        "total_documents": 27,
        "start_time": "2025-09-15T11:06:17.467801+00:00"
      },
      {
        "request_id": "03ab5ac2-d02c-4870-bb51-08ae86c4c190",
        "status": "completed",
        "total_documents": 1,
        "start_time": "2025-10-14T10:50:27.305400+00:00"
      },
    ]
  },
  "message": "Found 2 processing tasks"
}